echo off
echo *** Might and Magic Book Two ***
echo *** Hard Drive Installation  ***
echo .
if %1x == x  goto usage
if %2x == x  goto usage
if %1  == 4   goto ok
if %1  == 16  goto ok
goto usage
:ok
echo About to create directory %2mm2
echo Type control-C now to abort or
pause
md %2mm2
echo .
echo About to copy game files into %2mm2
echo Type control-C to stop now or
pause
copy *.* %2mm2
if %1 == 16 goto do16
:do4
echo Insert disk 3 and
pause
if not exist outdoor1.4 goto do4
copy *.* %2mm2
del %2mm2\*.16
goto done
:do16
echo Insert disk 2 and
pause
if not exist outdoor1.16 goto do16
copy *.* %2mm2
del %2mm2\*.4
goto done
:usage
echo Usage: install [4 or 16] [drive:\path\]
goto done1
:done
del %2mm2\install.bat
echo Installation complete.
:done1

